Bug 634030 - After software update which includes a new kernel the system will not boot.
After software update which includes a new kernel the system will not boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-14 19:55 EDT by Jim Bean
Modified: 2011-06-28 08:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Bean 2010-09-14 19:55:16 EDT
The GRUB menu is displayed. If the top entry is selected the system will not boot, IE an underscore is displayed and it freezes. This has happened on the last two kernel replacements. I can select the third kernel on the GRUB menu and it will boot normally. The updater seems to not be configuring the GRUB environment correctly. I notice that the generated config files for the two which do not boot are almost identical and are very different from the config file of the one that does boot.

Version-Release number of selected component (if applicable):
The kernels which do not boot are:
2.6.34.6-47.fc13.x86_64
2.6.34.6-54.fc13.x86_64
Kernel 2.6.33.8-149.fc13.x86_64 boots OK.

I enclose the grub.conf:
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,2)
#          kernel /boot/vmlinuz-version ro root=/dev/sda3
#          initrd /boot/initrd-[generic-]version.img
#boot=/dev/sda3
default=0
timeout=5
splashimage=(hd0,2)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.34.6-54.fc13.x86_64)
	root (hd0,2)
	kernel /boot/vmlinuz-2.6.34.6-54.fc13.x86_64 ro root=UUID=a5fdc2de-f7db-
43c0-b332-b597e8764cd7 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 S
YSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	initrd /boot/initramfs-2.6.34.6-54.fc13.x86_64.img
title Fedora (2.6.34.6-47.fc13.x86_64)
	root (hd0,2)
	kernel /boot/vmlinuz-2.6.34.6-47.fc13.x86_64 ro root=UUID=a5fdc2de-f7db-
43c0-b332-b597e8764cd7 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 S
YSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	initrd /boot/initramfs-2.6.34.6-47.fc13.x86_64.img
title Fedora (2.6.33.8-149.fc13.x86_64)
	root (hd0,2)
	kernel /boot/vmlinuz-2.6.33.8-149.fc13.x86_64 ro root=UUID=a5fdc2de-f7db
-43c0-b332-b597e8764cd7 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 
SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	initrd /boot/initramfs-2.6.33.8-149.fc13.x86_64.img
title Other
	rootnoverify (hd0,0)
	chainloader +1
Comment 1 Jim Bean 2010-09-21 20:16:01 EDT
Sep 21, 10
Latest update included kernel 2.6.34.7-56.fc13.x86_64.
I moved kernel 2.6.33.8-149.fc13.x86_64 to the front of the grub.conf file
and accepted the update. Again the new kernel was placed at the front of the grub.conf file and it will not boot. As before selecting the now second entry at boot time boots the 33.8-149 kernel OK.
Again the generated config files are the same for the 34.7-56 and the 34.6.54 and the 33.8-149 file is very different. The config files state that they are generated but not what generates them. I suspect that whatever is generating the new config file is not doing its job correctly.
Comment 2 Bug Zapper 2011-05-31 09:29:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 08:50:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.